Summary: VIRGO Db library
Name: virgoApp-Db
Version: 4.9.0
Release: 2%{?dist}
License: GNU General Public License Version 3
Source: virgoApp-Db-4.9.0.tar.gz
URL: http://www.ego-gw.it
Packager: Edward Maros <ed.maros@ligo.org>
Group: Application/Scientific
Requires: virgoApp-Cm
Requires: virgoApp-CSet
BuildRoot: %{buildroot}
Buildrequires: virgoApp-Cm-devel
Buildrequires: virgoApp-CSet-devel
Buildrequires: cmake
Buildrequires: pkgconfig
Buildrequires: bison
Buildrequires: flex


%description
This is a collection of tools used by the LIGO scientific community

%package devel
Group: Development/Scientific
Summary: VIRGO library
%description devel
This provides the develpement files the VIRGO Db library.
Requires: virgoApp-Db

%prep
%setup -q

%build
%cmake .

%install
make install DESTDIR=%{buildroot}

%check
ctest -V %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 04 2016 Edward Maros <ed.maros@ligo.org> - 2.9.0
- Initial build.
